Discussion:
libssh: 0.7.5 from AUR seems to have config reading issues
(too old to reply)
Artyom Poptsov via arch-general
2018-08-06 08:03:40 UTC
Permalink
Raw Message
Hello,

it seems that AUR provides libssh version 0.7.5 that has some issues
with SSH config reading (it fails to read options from a provided
configuration file.) Back in June 2017 I prepared a patch to fix the
problem:
https://git.libssh.org/projects/libssh.git/commit/?id=5333be5988c3789e7011598995f4df90d50d84d0

but the patch was integrated to libssh _after_ 0.7.5 release (it was
released in April 2017.) Could the libssh library be upgraded in AUR to
integrate the aforementioned patch?

I'm not an avid Arch GNU/Linux user so if I'm wrong about something
please don't hesistate to point me out to it.

FWIW, I'm the main developer of Guile-SSH library [1] that uses libssh.

Thanks!

- Artyom

[1] https://aur.archlinux.org/packages/guile-ssh/
--
Artyom V. Poptsov <***@gmail.com>
Home page: http://poptsov-artyom.narod.ru/
CADR Hackerspace co-founder: https://cadrspace.ru/
GPG: D0C2 EAC1 3310 822D 98DE B57C E9C5 A2D9 0898 A02F
Khorne
2018-08-06 08:15:22 UTC
Permalink
Raw Message
On Mon, 06 Aug 2018 11:03:40 +0300
Post by Artyom Poptsov via arch-general
Hello,
it seems that AUR provides libssh version 0.7.5 that has some issues
with SSH config reading (it fails to read options from a provided
configuration file.) Back in June 2017 I prepared a patch to fix the
https://git.libssh.org/projects/libssh.git/commit/?id=5333be5988c3789e7011598995f4df90d50d84d0
but the patch was integrated to libssh _after_ 0.7.5 release (it was
released in April 2017.) Could the libssh library be upgraded in AUR
to integrate the aforementioned patch?
I'm not an avid Arch GNU/Linux user so if I'm wrong about something
please don't hesistate to point me out to it.
FWIW, I'm the main developer of Guile-SSH library [1] that uses libssh.
Thanks!
- Artyom
[1] https://aur.archlinux.org/packages/guile-ssh/
Hello Artyom,

the repository version of libssh[1] does contain your patch presumably.

The AUR version libssh-git[2] builds from the libssh git master and
should contain the patch then as well.

Regards,
Khorne


[1]
https://git.archlinux.org/svntogit/packages.git/tree/trunk/PKGBUILD?h=packages/libssh#n35
[2]
https://aur.archlinux.org/cgit/aur.git/tree/PKGBUILD?h=libssh-git#n15
Artyom Poptsov via arch-general
2018-08-06 17:51:30 UTC
Permalink
Raw Message
Hello Khorne,

thank you for the answer. It seems that I was wrong: the libssh version
from the AUR includes the patch indeed. Just made a test program and it
reads a configuration file fine.

- Artyom
--
Artyom V. Poptsov <***@gmail.com>
Home page: http://poptsov-artyom.narod.ru/
CADR Hackerspace co-founder: https://cadrspace.ru/
GPG: D0C2 EAC1 3310 822D 98DE B57C E9C5 A2D9 0898 A02F
Loading...